Create an employee event questionnaire
post
/hcmRestApi/resources/11.13.18.05/communicateUIEmployeeEventDetails/{EventNumber}/child/employeeEventQuestionnaires
Request
Path Parameters
-
EventNumber(required): string
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
-
Upsert-Mode: string
Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
questionnaires: array
Questionnaires
Title:
QuestionnairesThe questionnaires resource provides all the details of a questionnaire, its sections, questions, and the attachments defined. -
questions: array
Questions
Title:
QuestionsThe child resource for questionnaire questions.
Nested Schema : Questionnaires
Type:
arrayTitle:
QuestionnairesThe questionnaires resource provides all the details of a questionnaire, its sections, questions, and the attachments defined.
Show Source
Nested Schema : Questions
Type:
arrayTitle:
QuestionsThe child resource for questionnaire questions.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-employeeEventQuestionnaires-questionnaires-item-post-request
Type:
Show Source
object-
InUse: string
Title:
In UseMaximum Length:30Default Value:NCode that shows whether the participants have already responded to the questionnaire. -
LatestVersion: string
Title:
Latest VersionMaximum Length:30Default Value:NSetting that indicates if this is the latest version of the questionnaire. This is a read-only attribute. -
MaximumPossibleScore: integer
(int64)
Title:
Maximum Possible ScoreSum of the maximum possible scores of all questions that are included in the questionnaire. -
Name(required): string
Title:
NameMaximum Length:240Name of the questionnaire. -
QuestionnaireCode: string
Title:
Questionnaire CodeMaximum Length:240Alphanumeric code that uniquely identifies a questionnaire defined for a subscriber. -
QuestionnaireId: integer
(int64)
Title:
Questionnaire IDSurrogate identifier of the questionnaire. -
QuestionnaireVersionNumber: integer
(int64)
Title:
Questionnaire Version NumberDefault Value:1Version number of the questionnaire. Version Number should be 1 when a new questionnaire is created. -
ScoreQuestionnaire: string
Title:
Score QuestionnaireMaximum Length:30Setting that indicates if the questionnaire is scored. This is a read-only attribute. -
sections: array
Sections
Title:
SectionsThe sections resource is a child resource of the questionnaires resource. It provides details of the sections defined in the questionnaire.
Nested Schema : Sections
Type:
arrayTitle:
SectionsThe sections resource is a child resource of the questionnaires resource. It provides details of the sections defined in the questionnaire.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-employeeEventQuestionnaires-questionnaires-sections-item-post-request
Type:
Show Source
object-
Mandatory: string
Title:
RequiredMaximum Length:30Default Value:NIndicates whether the questionnaire section is mandatory. Valid values are Y and N. The default value is N. -
Name: string
Title:
TitleMaximum Length:240Name of the questionnaire section. -
QuestionnaireSectionId: integer
(int64)
Title:
Questionnaire Section IDSurrogate identifier for the section in a questionnaire. -
questions: array
Questions
Title:
QuestionsThe child resource for questionnaire questions. -
SectionSequenceNumber: integer
(int64)
Title:
Section Sequence NumberSequence number for a section in a questionnaire.
Nested Schema : Questions
Type:
arrayTitle:
QuestionsThe child resource for questionnaire questions.
Show Source
Nested Schema : schema
Type:
Show Source
object-
AllowAttachmentsFlag: boolean
Indicates whether an attachment is allowed as a response to the question.
-
answers: array
Answers
Title:
AnswersThe child resource for questionnaire question answers. -
CategoryId: integer
Surrogate identifier of the folder where the question is stored.
-
InstructionsText: string
Instructions or additional information for the question.
-
Mandatory: string
Title:
MandatoryMaximum Length:30Default Value:NIndicates whether the response to this question is mandatory. Participants can't skip this question without an answer. The default value is false. -
MaximumPossibleScore: integer
(int64)
Title:
Maximum Possible ScoreMaximum possible score which is the sum of the maximum possible scores of the possible answer choices. This can be zero if none of the answer choices have a positive score defined. -
MaximumThresholdScore: integer
(int64)
Title:
Maximum Calculated ScoreMaximum score limit for the question when the total score is calculated for a response to the question. -
MinimumThresholdScore: integer
(int64)
Title:
Minimum Calculated ScoreMinimum number of answer choices that a participant can select when responding to a multiple choice question. -
Owner: string
Person identifier of the person with the privileges to edit the question, if the question is marked as private. Required if question is marked as private.
-
PrivacyFlag: boolean
Indicates whether the question is restricted for edits. A value of true indicates the question is private and the person specified as the owner can edit it.
-
questionDetails: array
Questions
Title:
QuestionsThe questions resource is a child of the questionnaires resource. It provides details of the questions included in a section of the questionnaire. -
QuestionId: integer
(int64)
Title:
Question IDSurrogate identifier of the question. -
QuestionnaireQuestionId: integer
(int64)
Title:
Questionnaire Question IDSurrogate identifier of the question in the questionnaire. -
QuestionText: string
Question text for the question.
-
QuestionType: string
Question type code indicating the type of the question.
-
QuestionVersionNumber: integer
(int64)
Title:
VersionVersion number of the question. New questions must have a version number of 1. -
ResponseTypeId: integer
Surrogate identifier of the response type for the question.
-
SequenceNumber: integer
(int64)
Title:
Sequence NumberSequence number of a question in the questionnaire and section definitions. -
Status: string
Status of the question. Valid values are A for Active, I for Inactive and D for Draft.
-
SubscriberId: integer
Surrogate identifier for the subscriber.
Nested Schema : Answers
Type:
arrayTitle:
AnswersThe child resource for questionnaire question answers.
Show Source
Nested Schema : Questions
Type:
arrayTitle:
QuestionsThe questions resource is a child of the questionnaires resource. It provides details of the questions included in a section of the questionnaire.
Show Source
Nested Schema : schema
Type:
Show Source
object-
AnswerCode: string
Title:
Response CodeMaximum Length:240Unique code for the answer choice defined for a question. -
LongText: string
Title:
Long TextMaximum Length:2000Answer text for the answer choices of a question. -
QuestionAnswerId: integer
(int64)
Title:
Question Answer IDSurrogate identifier for the answer choice defined for a question. -
SequenceNumber: integer
(int64)
Title:
Sequence NumberSequence in which the answer choice is presented during response by a participant.
Nested Schema : schema
Type:
Show Source
object-
AllowAttachmentsFlag: boolean
Title:
Allow attachmentsMaximum Length:30Default Value:falseIndicates whether an attachment is allowed as a response to the question. -
CategoryId: integer
(int64)
Title:
FolderSurrogate identifier of the folder where the question is stored. -
InstructionsText: string
Maximum Length:
4000Instructions or additional information for the question. -
LatestVersion: string
Title:
Latest VersionMaximum Length:30Default Value:NSetting that indicates if this is the latest version of the question. This is a read-only attribute. -
Owner: string
Title:
OwnerMaximum Length:64Person identifier of the person with the privileges to edit the question, if the question is marked as private. Required if question is marked as private. -
PrivacyFlag: boolean
Title:
PrivacyMaximum Length:30Default Value:falseIndicates whether the question is restricted for edits. A value of true indicates the question is private and the person specified as the owner can edit it. -
QuestionCode: string
Title:
Question CodeMaximum Length:240Alphanumeric value that uniquely identifies a question defined for a subscriber. -
QuestionId: integer
(int64)
Title:
Question CodeSurrogate identifier for the question. -
QuestionText: string
Title:
Question TextMaximum Length:2000Text of the question being asked. -
QuestionType: string
Title:
Question TypeMaximum Length:30Default Value:TEXTCode identifying the type of question. Valid values are in the list commonLookupsLOV. -
QuestionVersionNumber: integer
(int64)
Title:
Question Version NumberDefault Value:1Version number of the question. New questions must have a version number of 1. -
ResponseTypeId: integer
(int64)
Title:
Response TypeDefault Value:1Surrogate identifier of the response type for the question. -
Status: string
Title:
StatusMaximum Length:30Default Value:DStatus of the question. Valid values are A for Active, I for Inactive and D for Draft. -
SubscriberId: integer
(int64)
Title:
SubscriberSurrogate identifier for the subscriber.
Nested Schema : communicateUIEmployeeEventDetails-employeeEventQuestionnaires-questions-item-post-request
Type:
Show Source
object-
answers: array
Answers
Title:
AnswersThe child resource for questionnaire question answers.
Nested Schema : Answers
Type:
arrayTitle:
AnswersThe child resource for questionnaire question answers.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-employeeEventQuestionnaires-questions-answers-item-post-request
Type:
Show Source
objectResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : communicateUIEmployeeEventDetails-employeeEventQuestionnaires-item-response
Type:
Show Source
object-
EmpEventId: integer
Read Only:
trueUnique identifier for the employee event associated with the questionnaire. -
EventNumber: string
Read Only:
trueMaximum Length:64Unique identifier for the employee event associated with the questionnaire. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
QstnrVersionNum: integer
(int32)
Read Only:
trueQuestionnaire version number used in the employee event. This number identifies the specific version of the questionnaire associated with the event. -
QuestionnaireId: integer
(int64)
Read Only:
trueUnique identifier for the questionnaire associated with the employee event. -
questionnaires: array
Questionnaires
Title:
QuestionnairesThe questionnaires resource provides all the details of a questionnaire, its sections, questions, and the attachments defined. -
questions: array
Questions
Title:
QuestionsThe child resource for questionnaire questions. -
Type: string
Read Only:
trueMaximum Length:8Type of the employee event questionnaire. This field categorizes the questionnaire based on the event context.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Questionnaires
Type:
arrayTitle:
QuestionnairesThe questionnaires resource provides all the details of a questionnaire, its sections, questions, and the attachments defined.
Show Source
Nested Schema : Questions
Type:
arrayTitle:
QuestionsThe child resource for questionnaire questions.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : communicateUIEmployeeEventDetails-employeeEventQuestionnaires-questionnaires-item-response
Type:
Show Source
object-
InUse: string
Title:
In UseMaximum Length:30Default Value:NCode that shows whether the participants have already responded to the questionnaire. -
LatestVersion: string
Title:
Latest VersionMaximum Length:30Default Value:NSetting that indicates if this is the latest version of the questionnaire. This is a read-only attribute. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MaximumPossibleScore: integer
(int64)
Title:
Maximum Possible ScoreSum of the maximum possible scores of all questions that are included in the questionnaire. -
Name: string
Title:
NameMaximum Length:240Name of the questionnaire. -
QuestionnaireCode: string
Title:
Questionnaire CodeMaximum Length:240Alphanumeric code that uniquely identifies a questionnaire defined for a subscriber. -
QuestionnaireId: integer
(int64)
Title:
Questionnaire IDSurrogate identifier of the questionnaire. -
QuestionnaireVersionNumber: integer
(int64)
Title:
Questionnaire Version NumberDefault Value:1Version number of the questionnaire. Version Number should be 1 when a new questionnaire is created. -
ScoreQuestionnaire: string
Title:
Score QuestionnaireMaximum Length:30Setting that indicates if the questionnaire is scored. This is a read-only attribute. -
sections: array
Sections
Title:
SectionsThe sections resource is a child resource of the questionnaires resource. It provides details of the sections defined in the questionnaire.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Sections
Type:
arrayTitle:
SectionsThe sections resource is a child resource of the questionnaires resource. It provides details of the sections defined in the questionnaire.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-employeeEventQuestionnaires-questionnaires-sections-item-response
Type:
Show Source
object-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Mandatory: string
Title:
RequiredMaximum Length:30Default Value:NIndicates whether the questionnaire section is mandatory. Valid values are Y and N. The default value is N. -
Name: string
Title:
TitleMaximum Length:240Name of the questionnaire section. -
QuestionnaireSectionId: integer
(int64)
Title:
Questionnaire Section IDSurrogate identifier for the section in a questionnaire. -
questions: array
Questions
Title:
QuestionsThe child resource for questionnaire questions. -
SectionSequenceNumber: integer
(int64)
Title:
Section Sequence NumberSequence number for a section in a questionnaire.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Questions
Type:
arrayTitle:
QuestionsThe child resource for questionnaire questions.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-employeeEventQuestionnaires-questionnaires-sections-questions-item-response
Type:
Show Source
object-
AllowAttachmentsFlag: boolean
Indicates whether an attachment is allowed as a response to the question.
-
answers: array
Answers
Title:
AnswersThe child resource for questionnaire question answers. -
CategoryId: integer
Surrogate identifier of the folder where the question is stored.
-
ClassificationTypeMeaning: string
Title:
ClassificationRead Only:trueMaximum Length:80Meaning of the classification code. -
ConditionQuestionId: integer
(int64)
Title:
Controlling Question IdRead Only:trueSurrogate identifier of the controlling question. Required if the conditional display is set to Y. -
ConditionQuestionVersionNumber: integer
(int64)
Read Only:
trueVersion number of the question. New questions must have a version number of 1. -
InstructionsText: string
Instructions or additional information for the question.
-
LatestVersion: string
Title:
Latest VersionRead Only:trueMaximum Length:30Default Value:NSetting that indicates if this is the latest version of the question. This is a read-only attribute. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Mandatory: string
Title:
MandatoryMaximum Length:30Default Value:NIndicates whether the response to this question is mandatory. Participants can't skip this question without an answer. The default value is false. -
MandatoryMeaning: string
Title:
Response RequiredRead Only:trueMaximum Length:80Indicates whether the response to this question is mandatory. Participants can't skip this question without an answer. The default value is false. -
MaximumPossibleScore: integer
(int64)
Title:
Maximum Possible ScoreMaximum possible score which is the sum of the maximum possible scores of the possible answer choices. This can be zero if none of the answer choices have a positive score defined. -
MaximumThresholdScore: integer
(int64)
Title:
Maximum Calculated ScoreMaximum score limit for the question when the total score is calculated for a response to the question. -
MinimumThresholdScore: integer
(int64)
Title:
Minimum Calculated ScoreMinimum number of answer choices that a participant can select when responding to a multiple choice question. -
Owner: string
Person identifier of the person with the privileges to edit the question, if the question is marked as private. Required if question is marked as private.
-
PrivacyFlag: boolean
Indicates whether the question is restricted for edits. A value of true indicates the question is private and the person specified as the owner can edit it.
-
QuestionCode: string
Title:
CodeRead Only:trueMaximum Length:240Question code for the question used in the questionnaire template section. Valid values are defined in the list questionsLOV. -
questionDetails: array
Questions
Title:
QuestionsThe questions resource is a child of the questionnaires resource. It provides details of the questions included in a section of the questionnaire. -
QuestionId: integer
(int64)
Title:
Question IDSurrogate identifier of the question. -
QuestionnaireQuestionId: integer
(int64)
Title:
Questionnaire Question IDSurrogate identifier of the question in the questionnaire. -
QuestionText: string
Question text for the question.
-
QuestionType: string
Question type code indicating the type of the question.
-
QuestionTypeMeaning: string
Title:
MeaningRead Only:trueMaximum Length:80Meaning of the question type code. -
QuestionVersionNumber: integer
(int64)
Title:
VersionVersion number of the question. New questions must have a version number of 1. -
ResponseTypeId: integer
Surrogate identifier of the response type for the question.
-
ScoreQuestion: string
Title:
Score QuestionRead Only:trueMaximum Length:30Indicates whether the question is used in calculating the score. The default value is N. -
SequenceNumber: integer
(int64)
Title:
Sequence NumberSequence number of a question in the questionnaire and section definitions. -
Status: string
Status of the question. Valid values are A for Active, I for Inactive and D for Draft.
-
SubscriberId: integer
Surrogate identifier for the subscriber.
Nested Schema : Answers
Type:
arrayTitle:
AnswersThe child resource for questionnaire question answers.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Questions
Type:
arrayTitle:
QuestionsThe questions resource is a child of the questionnaires resource. It provides details of the questions included in a section of the questionnaire.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-employeeEventQuestionnaires-questionnaires-sections-questions-answers-item-response
Type:
Show Source
object-
AnswerCode: string
Title:
Response CodeMaximum Length:240Unique code for the answer choice defined for a question. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LongText: string
Title:
Long TextMaximum Length:2000Answer text for the answer choices of a question. -
QuestionAnswerId: integer
(int64)
Title:
Question Answer IDSurrogate identifier for the answer choice defined for a question. -
SequenceNumber: integer
(int64)
Title:
Sequence NumberSequence in which the answer choice is presented during response by a participant.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-employeeEventQuestionnaires-questionnaires-sections-questions-questionDetails-item-response
Type:
Show Source
object-
AllowAttachmentsFlag: boolean
Title:
Allow attachmentsMaximum Length:30Default Value:falseIndicates whether an attachment is allowed as a response to the question. -
CategoryId: integer
(int64)
Title:
FolderSurrogate identifier of the folder where the question is stored. -
InstructionsText: string
Maximum Length:
4000Instructions or additional information for the question. -
LatestVersion: string
Title:
Latest VersionMaximum Length:30Default Value:NSetting that indicates if this is the latest version of the question. This is a read-only attribute. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Owner: string
Title:
OwnerMaximum Length:64Person identifier of the person with the privileges to edit the question, if the question is marked as private. Required if question is marked as private. -
PrivacyFlag: boolean
Title:
PrivacyMaximum Length:30Default Value:falseIndicates whether the question is restricted for edits. A value of true indicates the question is private and the person specified as the owner can edit it. -
QuestionCode: string
Title:
Question CodeMaximum Length:240Alphanumeric value that uniquely identifies a question defined for a subscriber. -
QuestionId: integer
(int64)
Title:
Question CodeSurrogate identifier for the question. -
QuestionText: string
Title:
Question TextMaximum Length:2000Text of the question being asked. -
QuestionType: string
Title:
Question TypeMaximum Length:30Default Value:TEXTCode identifying the type of question. Valid values are in the list commonLookupsLOV. -
QuestionVersionNumber: integer
(int64)
Title:
Question Version NumberDefault Value:1Version number of the question. New questions must have a version number of 1. -
ResponseTypeId: integer
(int64)
Title:
Response TypeDefault Value:1Surrogate identifier of the response type for the question. -
Status: string
Title:
StatusMaximum Length:30Default Value:DStatus of the question. Valid values are A for Active, I for Inactive and D for Draft. -
SubscriberId: integer
(int64)
Title:
SubscriberSurrogate identifier for the subscriber.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-employeeEventQuestionnaires-questions-item-response
Type:
Show Source
object-
answers: array
Answers
Title:
AnswersThe child resource for questionnaire question answers. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
QstnrQuestionId: integer
Read Only:
trueUnique identifier for the questionnaire question. -
QstnrVersionNumber: integer
(int64)
Read Only:
trueQuestionnaire version number associated with the employee event. -
QstnVersionNumber: integer
(int64)
Read Only:
trueVersion number of the question. -
QuestionId: integer
(int64)
Read Only:
trueUnique identifier for the question. -
QuestionnaireId: integer
(int64)
Read Only:
trueUnique identifier for the questionnaire associated with the employee event. -
QuestionText: string
Read Only:
trueMaximum Length:2000Text of the question displayed to the user. -
QuestionType: string
Read Only:
trueMaximum Length:30Specifies the type of question. -
ResponseCount: integer
Read Only:
trueNumber of responses received for the question. -
SequenceNumber: integer
(int64)
Read Only:
trueSequence number of the question in the employee event questionnaire. -
Type: string
Read Only:
trueMaximum Length:255Meaning for the question type.
Nested Schema : Answers
Type:
arrayTitle:
AnswersThe child resource for questionnaire question answers.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-employeeEventQuestionnaires-questions-answers-item-response
Type:
Show Source
object-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LongText: string
Read Only:
trueMaximum Length:2000Long text provided as an answer to the employee event question. -
QstnAnswerId: integer
Read Only:
trueUnique identifier for the employee's answer to a question. -
QstnVersionNumber: integer
(int64)
Read Only:
trueVersion number of the question associated with the answer. -
QuestionId: integer
(int64)
Read Only:
trueUnique identifier for the question associated with the answer. -
ResponseCount: number
Read Only:
trueNumber of responses provided for the question answer. -
SequenceNumber: integer
(int64)
Read Only:
trueSequence number of the answer in the question.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- questionnaires
-
Parameters:
- EventNumber:
$request.path.EventNumber - QuestionnaireId:
$request.path.QuestionnaireId
The questionnaires resource provides all the details of a questionnaire, its sections, questions, and the attachments defined. - EventNumber:
- questions
-
Parameters:
- EventNumber:
$request.path.EventNumber - QuestionnaireId:
$request.path.QuestionnaireId
The child resource for questionnaire questions. - EventNumber: